> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riona.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile Resourcer

> In case you couldn't fetch a specific profile using Get Profile by URL or any Get profile Endpoints, use this endpoint to fetch the key profile data using a different method.

<Check>Supported Platforms:  <Icon icon="youtube" size={20} />  <Icon icon="tiktok" size={20} />  <Icon icon="instagram" size={20} />  <Icon icon="facebook" size={20} />  <Icon icon="x-twitter" size={20} />  <Icon icon="telegram" size={20} /></Check>

<ResponseExample>
  ```json 200 theme={null}
  {
    "status": {
      "code": 200
    },
    "profile": {
      "userID": "Cristiano",
      "username": "Cristiano",
      "platform": "Facebook",
      "groupID": null,
      "url": "https://www.facebook.com/Cristiano",
      "name": "Cristiano Ronaldo",
      "image": "https://scontent.xx.fbcdn.net/v/t1.6435-9/1234567_101515123456789_1234567890_n.jpg?_nc_cat=100&ccb=1-7&_nc_sid=09cbfe&_nc_ohc=abcdefghijklm&_nc_ht=scontent.xx&oh=00_AfABCDEFGHabcdefghijklmnoPQRSTUvwx&oe=64EDC123",
      "description": "Welcome to the official Facebook page of Cristiano Ronaldo.",
      "country": "Portugal",
      "countryCode": "PT",
      "city": null,
      "type": "public_figure",
      "gender": "male",
      "age": null,
      "communityStatus": "active",
      "isBlocked": false,
      "isClosed": false,
      "verified": true
    },
    "stats": {
      "followersCount": 168000000,
      "avgLikes": 450000,
      "avgComments": 25000,
      "avgER": 0.0028,
      "avgInteractions": 475000,
      "avgViews": null,
      "ratingIndex": null,
      "qualityScore": null
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi-3.0.json get /wf/adv-profile-resourcer
openapi: 3.0.3
info:
  title: Riona API Docs
  version: 1.0.0
  contact:
    email: info@riona.ai
    url: https://riona.ai
servers:
  - url: https://riona.ai/api/1.1
security:
  - bearerAuth: []
tags:
  - name: Workflow
    description: Use this to trigger a workflow
  - name: Data
    description: Use this to fetch, modify and delete data
paths:
  /wf/adv-profile-resourcer:
    get:
      tags:
        - Workflow
      description: Triggers the workflow adv-profile-resourcer
      operationId: get_wf_adv-profile-resourcer
      parameters:
        - name: url
          in: query
          required: true
          description: Profile url
          schema:
            type: string
        - name: api_key
          in: query
          required: true
          description: >-
            This is your account API Key. You can easily locate it in your
            account dashboard.
          schema:
            type: string
      responses:
        '200':
          description: OK
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````